All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.rio
Class MVAConnection

    com.sas.rio.MVAConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class MVAConnection

implements java.sql.Connection

A Connection represents a session with a specific database. Within the context of a Connection, SQL statements are executed and results are returned.

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc. This information is obtained with the getMetaData method.

Note: By default the Connection automatically commits changes after executing each statement. If auto commit has been disabled, an explicit commit must be done or database changes will not be saved.

See Also:
  `DriverManager.getConnection(java.lang.String, java.util.Properties)`, `Statement`, `ResultSet`, `DatabaseMetaData`

Field Summary
`protected int` | `resultSetConcurrency`
`protected int` | `resultSetType`

Constructor Summary
`MVAConnection(com.sas.iom.SAS.IDataService sasDataService, java.util.Properties info)` Constructs an MVAConnection object.
`MVAConnection(com.sas.iom.SAS.IWorkspace sasWorkspace, java.util.Properties info)` Constructs an MVAConnection object.
`MVAConnection(com.sas.rio.RIOUtil x, java.util.Properties info)`
`MVAConnection(java.lang.String url, java.util.Properties info)` Constructs an MVAConnection object.

Method Summary
`void` | `abort(java.util.concurrent.Executor arg0)`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`java.sql.Array` | `createArrayOf(java.lang.String typeName, java.lang.Object[] elements)` This method is not supported.
`java.sql.Blob` | `createBlob()` This method is not supported.
`java.sql.Clob` | `createClob()` This method is not supported.
`java.sql.NClob` | `createNClob()` This method is not supported.
`java.sql.SQLXML` | `createSQLXML()` This method is not supported.
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)` The `MVAConnection` implementation of `createStatement(int, int, int)` throws a `SQLFeatureNotSupportedException` if the value provided for `resultSetHoldability` is not `ResultSet.CLOSE_CURSORS_AT_COMMIT`.
`java.sql.Struct` | `createStruct(java.lang.String typeName, java.lang.Object[] attributes)` The `MVAConnection` implementation of `createStruct(String, Object[])` always throws a `SQLFeatureNotSupportedException`.
`boolean` | `getAutoCommit()` The SAS IOM JDBC driver does not support transactions.
`java.lang.String` | `getCatalog()` The `MVAConnection` implementation of `getCatalog` always returns ``.
`java.util.Properties` | `getClientInfo()` The `MVAConnection` implementation of `getClientInfo` always returns an empty properties object.
`java.lang.String` | `getClientInfo(java.lang.String name)` The `MVAConnection` implementation of `getClientInfo(String)` always returns null.
`int` | `getHoldability()`
`java.lang.String` | `getIdForLogger()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`int` | `getNetworkTimeout()`
`protected com.sas.rio.RIOUtil` | `getRioUtil()`
`java.lang.String` | `getSchema()`
`int` | `getTransactionIsolation()` The `MVAConnection` implementation of `getTransactionIsolation` always returns `Connection.TRANSACTION_NONE`.
`java.util.Map<java.lang.String,java.lang.Class<?>>` | `getTypeMap()` The MVAConnection implementation of `getTypeMap()` always throws a `SQLFeatureNotSupportedException`.
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()` The `MVAConnection` implementation of `getReadOnly()` always returns false.
`boolean` | `isValid(int timeout)`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`java.lang.String` | `nativeSQL(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Creates a CallableStatement object that will generate ResultSet objects with the given type and concurrency.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int autoGeneratedKeys)` The `MVAConnection` implementation of `prepareStatement(String, int)` always throws `SQLFeatureNotSupportedException`.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int[] columnIndexes)` The `MVAConnection` implementation of `prepareStatement(String, int[])` always throws `SQLFeatureNotSupportedException`.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)` The `MVAConnection` implementation of `prepareStatement(String, String[])` always throws `SQLFeatureNotSupportedException`.
`void` | `releaseSavepoint(java.sql.Savepoint savepoint)` The `MVAConnection` implementation of `releaseSavepoint` always throws `SQLFeatureNotSupportedException`.
`void` | `rollback()` SAS software does not support transactions.
`void` | `rollback(java.sql.Savepoint savepoint)` The `MVAConnection` implementation of `rollback` always throws `SQLFeatureNotSupportedException`.
`void` | `setAutoCommit(boolean autoCommit)` The SAS IOM JDBC driver does not support transactions.
`void` | `setCatalog(java.lang.String catalog)` The `MVAConnection` implementation of `setCatalog` silently ignores the value provided for `catalog`.
`void` | `setClientInfo(java.util.Properties properties)` The `MVAConnection` implementation of `setClientInfo(Properties)` adds a warning to the `Connection` object for all properties provided.
`void` | `setClientInfo(java.lang.String name, java.lang.String value)` The `MVAConnection` implementation of `setClientInfo(String, String)` adds a warning to the `Connection` object for any property provided.
`void` | `setHoldability(int holdability)` The `MVAConnection` implementation of `setHoldability(int)` only supports `ResultSet.CLOSE_CURSORS_AT_COMMIT` for holdability.
`void` | `setNetworkTimeout(java.util.concurrent.Executor arg0, int arg1)`
`void` | `setReadOnly(boolean readOnly)` The `MVAConnection` implementation of `setReadOnly(boolean)` ignores the value of readOnly.
`java.sql.Savepoint` | `setSavepoint()` The MVAConnection implementation of `setSavepoint()` always throws `SQLFeatureNotSupportedException`.
`java.sql.Savepoint` | `setSavepoint(java.lang.String name)` The MVAConnection implementation of `setSavepoint(String)` always throws `SQLFeatureNotSupportedException`.
`void` | `setSchema(java.lang.String arg0)`
`void` | `setTransactionIsolation(int level)` SAS software does not support transactions.
`void` | `setTypeMap(java.util.Map<java.lang.String,java.lang.Class<?>> map)` The MVAConnection implementation of `setTypeMap()` always throws a `SQLFeatureNotSupportedException`.
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Field Detail

### resultSetType

    protected int resultSetType

### resultSetConcurrency

    protected int resultSetConcurrency

Constructor Detail

### MVAConnection

    public MVAConnection(java.lang.String url,
                         java.util.Properties info)
                  throws java.sql.SQLException

  Constructs an MVAConnection object.

  Parameters:
    `url` - initial input url containing host and port information.
    `info` - java.util.Properties object which contains:

    userName
      MVA server access user name

    password
      MVA server access password

    librefs
      a semicolon delimited list of 'name filepath'.

    encryptionPolicy
      whether or not JavaBridge should attempt to negotiate with the server over which encryption algorithm to use and what to do if the negotiations fail. Possible values:
      none
        do not use encryption. This is the default.
      optional
        attempt to use encryption but, if algorithm negotiation fails, continue with an unencrypted session
      required
        attempt to use encryption but, if algorithm negotiation fails, fail the connection

    encryptionContent
      specifies which messages should be encrypted if encryption is used. Possible values:
      all
        encrypt all messages. This is the default.
      authentication
        encrypt only messages that contain user name and password information.

    encryptionAlgorithms
      the list of algorithms you are willing to use in order of preference. Values in the list should be separated by commas and chosen from sasproprietary, rc2, rc4, aes, des, or tripledes. If no value is specified, then one of the server's favorite algorithms will be used.

    `applyFormats`
      specifies whether or not column formats are applied when retrieving data. If the value is true, all data is returned as Strings. For any column, the format used is the one defined on the column in the data set. If "applyFormats" is set to false (the default case) no formatting is applied.

    `segmentLength`
      Specifies the segment length value, in bytes, for character annotations when initially added to a SAS result set. This property is not used with result sets that already have annotations. The server uses the segment length to define the buffer width of character extended attribute values. These values can span multiple segments. The default value of the segment length is 256 bytes.

    Note that the server's encryption policy is, by default, optional so no special action is needed to prepare an IOM BRIDGE server to use encryption. However, it is possible to set up the server so that encryption is required. Consult IOM BRIDGE server documentation for details.

  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### MVAConnection

    public MVAConnection(com.sas.iom.SAS.IDataService sasDataService,
                         java.util.Properties info)
                  throws java.sql.SQLException

  Constructs an MVAConnection object.

  Parameters:
    `sasDataService` - IDataService object.
    `info` - java.util.Properties object which contains:
    userName
      MVA server access user name
    password
      MVA server access password
    librefs
      a semicolon delimited list of 'name filepath'.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### MVAConnection

    public MVAConnection(com.sas.iom.SAS.IWorkspace sasWorkspace,
                         java.util.Properties info)
                  throws java.sql.SQLException

  Constructs an MVAConnection object.

  Parameters:
    `sasWorkspace` - IWorkspace object.
    `info` - java.util.Properties object which contains:
    userName
      MVA server access user name
    password
      MVA server access password
    librefs
      a semicolon delimited list of 'name filepath'.
  Throws:
    `java.sql.SQLException` - This exception is thrown if a ShareNetException is detected.

### MVAConnection

    public MVAConnection(com.sas.rio.RIOUtil x,
                         java.util.Properties info)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getIdForLogger

    public java.lang.String getIdForLogger()

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Specified by:
    `nativeSQL` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  The SAS IOM JDBC driver does not support transactions. Calling `setAutoCommit(boolean)` with a value of false will cause an exception.

  Specified by:
    `setAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  The SAS IOM JDBC driver does not support transactions. `getAutoCommit()` will always return true.

  Specified by:
    `getAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    `commit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  SAS software does not support transactions. This method is not supported.

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.lang.AutoCloseable`
  Specified by:
    `close` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  The `MVAConnection` implementation of `setReadOnly(boolean)` ignores the value of readOnly. The IOM JDBC Driver does not support read only connections.

  Specified by:
    `setReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  The `MVAConnection` implementation of `getReadOnly()` always returns false. The IOM JDBC Driver does not support read only connections.

  Specified by:
    `isReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  The `MVAConnection` implementation of `setCatalog` silently ignores the value provided for `catalog`. The IOM JDBC Driver does not support catalogs.

  Specified by:
    `setCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  The `MVAConnection` implementation of `getCatalog` always returns ``. The IOM JDBC Driver does not support catalogs.

  Specified by:
    `getCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  SAS software does not support transactions. The only valid input value is java.sql.Connection.TRANSACTION_NONE.

  Specified by:
    `setTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  The `MVAConnection` implementation of `getTransactionIsolation` always returns `Connection.TRANSACTION_NONE`. The SAS IOM JDBC driver does not support transactions.

  Specified by:
    `getTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getTypeMap

    public java.util.Map<java.lang.String,java.lang.Class<?>> getTypeMap()
                                                                  throws java.sql.SQLException

  The MVAConnection implementation of `getTypeMap()` always throws a `SQLFeatureNotSupportedException`. Base SAS does not support SQL structured types.

  Specified by:
    `getTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTypeMap

    public void setTypeMap(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                    throws java.sql.SQLException

  The MVAConnection implementation of `setTypeMap()` always throws a `SQLFeatureNotSupportedException`. Base SAS does not support SQL structured types.

  Specified by:
    `setTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getRioUtil

    protected com.sas.rio.RIOUtil getRioUtil()

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws java.sql.SQLException

  The `MVAConnection` implementation of `createStatement(int, int, int)` throws a `SQLFeatureNotSupportedException` if the value provided for `resultSetHoldability` is not `ResultSet.CLOSE_CURSORS_AT_COMMIT`.

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Specified by:
    `getHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency,
                                                  int resultSetHoldability)
                                           throws java.sql.SQLException

  Creates a CallableStatement object that will generate ResultSet objects with the given type and concurrency. Empty method implementation for JDK1.4 compliance.

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - This exception is always thrown to indicate the method is not implemented.

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int autoGeneratedKeys)
                                                throws java.sql.SQLException

  The `MVAConnection` implementation of `prepareStatement(String, int)` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support auto-generated keys.

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int[] columnIndexes)
                                                throws java.sql.SQLException

  The `MVAConnection` implementation of `prepareStatement(String, int[])` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support auto-generated keys.

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       java.lang.String[] columnNames)
                                                throws java.sql.SQLException

  The `MVAConnection` implementation of `prepareStatement(String, String[])` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support auto-generated keys.

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint savepoint)
                          throws java.sql.SQLException

  The `MVAConnection` implementation of `releaseSavepoint` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support transactions.

  Specified by:
    `releaseSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback(java.sql.Savepoint savepoint)
                  throws java.sql.SQLException

  The `MVAConnection` implementation of `rollback` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support transactions.

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setHoldability

    public void setHoldability(int holdability)
                        throws java.sql.SQLException

  The `MVAConnection` implementation of `setHoldability(int)` only supports `ResultSet.CLOSE_CURSORS_AT_COMMIT` for holdability.

  Specified by:
    `setHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  The MVAConnection implementation of `setSavepoint()` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support transactions.

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String name)
                                    throws java.sql.SQLException

  The MVAConnection implementation of `setSavepoint(String)` always throws `SQLFeatureNotSupportedException`. The IOM JDBC driver does not support transactions.

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

  This method is not supported.

  Constructs an object that implements the `Clob` interface. The object returned initially contains no data. The `setAsciiStream`, `setCharacterStream` and `setString` methods of the `Clob` interface may be used to add data to the `Clob`.

  Specified by:
    `createClob` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

  This method is not supported.

  Constructs an object that implements the `Blob` interface. The object returned initially contains no data. The `setBinaryStream` and `setBytes` methods of the `Blob` interface may be used to add data to the `Blob`.

  Specified by:
    `createBlob` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### createNClob

    public java.sql.NClob createNClob()
                               throws java.sql.SQLException

  This method is not supported.

  Constructs an object that implements the `NClob` interface. The object returned initially contains no data. The `setAsciiStream`, `setCharacterStream` and `setString` methods of the `NClob` interface may be used to add data to the `NClob`.

  Specified by:
    `createNClob` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### createSQLXML

    public java.sql.SQLXML createSQLXML()
                                 throws java.sql.SQLException

  This method is not supported.

  Constructs an object that implements the `SQLXML` interface. The object returned initially contains no data. The `createXmlStreamWriter` object and `setString` method of the `SQLXML` interface may be used to add data to the `SQLXML` object.

  Specified by:
    `createSQLXML` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### isValid

    public boolean isValid(int timeout)
                    throws java.sql.SQLException

  Specified by:
    `isValid` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setClientInfo

    public void setClientInfo(java.lang.String name,
                              java.lang.String value)
                       throws java.sql.SQLClientInfoException

  The `MVAConnection` implementation of `setClientInfo(String, String)` adds a warning to the `Connection` object for any property provided. The IOM JDBC Driver does not support the ability to set or retrieve client info properties.

  Specified by:
    `setClientInfo` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLClientInfoException`

### setClientInfo

    public void setClientInfo(java.util.Properties properties)
                       throws java.sql.SQLClientInfoException

  The `MVAConnection` implementation of `setClientInfo(Properties)` adds a warning to the `Connection` object for all properties provided. The IOM JDBC Driver does not support the ability to set or retrieve client info properties.

  Specified by:
    `setClientInfo` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLClientInfoException`

### getClientInfo

    public java.lang.String getClientInfo(java.lang.String name)
                                   throws java.sql.SQLException

  The `MVAConnection` implementation of `getClientInfo(String)` always returns null. The IOM JDBC Driver does not support the ability to set or retrieve client info properties.

  Specified by:
    `getClientInfo` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getClientInfo

    public java.util.Properties getClientInfo()
                                       throws java.sql.SQLException

  The `MVAConnection` implementation of `getClientInfo` always returns an empty properties object. The IOM JDBC Driver does not support the ability to set or retrieve client info properties.

  Specified by:
    `getClientInfo` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createArrayOf

    public java.sql.Array createArrayOf(java.lang.String typeName,
                                        java.lang.Object[] elements)
                                 throws java.sql.SQLException

  This method is not supported.

  Factory method for creating Array objects.

  Note: When `createArrayOf` is used to create an array object that maps to a primitive data type, then it is implementation-defined whether the `Array` object is an array of that primitive data type or an array of `Object`.

  Note: The JDBC driver is responsible for mapping the elements `Object` array to the default JDBC SQL type defined in java.sql.Types for the given class of `Object`. The default mapping is specified in Appendix B of the JDBC specification. If the resulting JDBC type is not the appropriate type for the given typeName then it is implementation defined whether an `SQLException` is thrown or the driver supports the resulting conversion.

  Specified by:
    `createArrayOf` in interface `java.sql.Connection`
  Parameters:
    `typeName` - the SQL name of the type the elements of the array map to. The typeName is a database-specific name which may be the name of a built-in type, a user-defined type or a standard SQL type supported by this database. This is the value returned by `Array.getBaseTypeName`
    `elements` - the elements that populate the returned object
  Returns:
    an Array object whose elements map to the specified SQL type

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### createStruct

    public java.sql.Struct createStruct(java.lang.String typeName,
                                        java.lang.Object[] attributes)
                                 throws java.sql.SQLException

  The `MVAConnection` implementation of `createStruct(String, Object[])` always throws a `SQLFeatureNotSupportedException`. Base SAS does not support SQL structured types.

  Specified by:
    `createStruct` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### abort

    public void abort(java.util.concurrent.Executor arg0)
               throws java.sql.SQLException

  Specified by:
    `abort` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getNetworkTimeout

    public int getNetworkTimeout()
                          throws java.sql.SQLException

  Specified by:
    `getNetworkTimeout` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getSchema

    public java.lang.String getSchema()
                               throws java.sql.SQLException

  Specified by:
    `getSchema` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setNetworkTimeout

    public void setNetworkTimeout(java.util.concurrent.Executor arg0,
                                  int arg1)
                           throws java.sql.SQLException

  Specified by:
    `setNetworkTimeout` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSchema

    public void setSchema(java.lang.String arg0)
                   throws java.sql.SQLException

  Specified by:
    `setSchema` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.